### Method

# Gtk FileDialog open_text_file

since: 4.18

#### Declaration [src]

    void
    gtk_file_dialog_open_text_file (
      GtkFileDialog* self,
      GtkWindow* parent,
      GCancellable* cancellable,
      GAsyncReadyCallback callback,
      gpointer user_data
    )

#### Description [src]

Initiates a file selection operation by presenting a file chooser dialog to the user.

In contrast to `gtk_file_dialog_open()`, this function lets the user select the text encoding for the file, if possible.

The `callback` will be called when the dialog is dismissed.

Available since: 4.18

This method completes asynchronously. Use `gtk_file_dialog_open_text_file_finish()` inside the `GAsyncReadyCallback` to obtain the result of the operation.

#### Parameters

`parent`

  Type: `GtkWindow`

  The parent `GtkWindow`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

`cancellable`

  Type: `GCancellable`

  A `GCancellable` to cancel the operation.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

`callback`

  Type: `GAsyncReadyCallback`

  A callback to call when the operation is complete.

  The argument can be `NULL`.

`user_data`

  Type: `gpointer`

  Data to pass to `callback`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.